net.sourceforge.pmd.benchmark

## Class TextReport

- java.lang.Object
- - net.sourceforge.pmd.benchmark.TextReport

- All Implemented Interfaces:
    BenchmarkReport

      public class TextReport
      extends Object
      implements BenchmarkReport

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextReport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(Map<String,net.sourceforge.pmd.benchmark.BenchmarkResult> benchmarksByName, PrintStream out)`
    `void` | `generate(Set<RuleDuration> stressResults, PrintStream out)`
    `void` | `report(Map<String,net.sourceforge.pmd.benchmark.BenchmarkResult> benchmarksByName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextReport

          public TextReport()

  - ### Method Detail

    - #### generate

          public void generate(Set<RuleDuration> stressResults,
                      PrintStream out)

      Specified by:
        `generate` in interface `BenchmarkReport`
      Parameters:
        `stressResults` - Set
        `out` - PrintStream
      See Also:
        `net.sourceforge.pmd.benchmark.BenchmarkReport#generate(Set, PrintStream)`

    - #### report

          public void report(Map<String,net.sourceforge.pmd.benchmark.BenchmarkResult> benchmarksByName)

      Parameters:
        `benchmarksByName` - Map

    - #### generate

          public void generate(Map<String,net.sourceforge.pmd.benchmark.BenchmarkResult> benchmarksByName,
                      PrintStream out)

      Specified by:
        `generate` in interface `BenchmarkReport`
      Parameters:
        `benchmarksByName` - Map
        `out` - PrintStream
      See Also:
        `net.sourceforge.pmd.benchmark.BenchmarkReport#generate(Map, PrintStream)`

Copyright © 2002-2013 InfoEther. All Rights Reserved.